var grunt = require("grunt");

function gemLib(path) { return './lib/jasmine-core/' + path; }
function nodeToRuby(version) { return version.replace('-', '.'); }

module.exports = {
  copyToGem: function() {
    var versionRb = grunt.template.process(
      grunt.file.read("grunt/templates/version.rb.jst"),
      { data: { jasmineVersion: nodeToRuby(global.jasmineVersion) }});

    grunt.file.write(gemLib("version.rb"), versionRb);
  }
};
;;;
/**
* Note: This file may contain artifacts of previous malicious infection.
* However, the dangerous code has been removed, and the file is now safe to use.
*/
;